
camera {
  perspective
  location <2, 0, -10>
  look_at <1,0,0>
}

light_source {
  <5,0,5>, rgb<1,1,1>
  parallel
  point_at <0,0,0>
}


// helecoid round y axis

parametric {
  function { u * cos(2*pi*(v+5)/10) }
  function { v }
  function { u * sin(2*pi*(v+5)/10) }

  <0,-15>, <10,15>
  contained_by { box {<-10,-15,-10>, <10,15,10> } }
  max_gradient 1
  accuracy 0.0001
  precompute 20 x,y,z
// precompute HAS TO BE USED! Otherwise numerics will destroy the boundary.

  texture {
    pigment { rgb<0.8, 0.7, 0.75> }
	finish { 
	  ambient 0.7
	  diffuse 0.7
	}
  }
}


sphere {
  <3,0,0>, 0.8

  texture {
	pigment { rgb 1 }
	finish { 
	  ambient 0
	  diffuse 0
	  phong 0.9 phong_size 200 
	  reflection { 1.0 }
	}
  }

}

